{% extends "donate/base.html" %}
{% load static wagtailcore_tags wagtailimages_tags humanize %}

{% block content %}

<!-- CONTENT -->
<main role="main">

  <section class="section--alternate project__header">
    <div class="container">
      <h1 class="lead heading">{{ page.title }}</h1>

      <div class="row align-items-center">
        <div class="col-12 col-md-6 mb-3 mb-md-0">
          {% if page.until %}
            <p class="project__date">běží od {{ page.date|date:"j.n.Y" }} do {{ page.until|date:"j.n.Y" }}</p>
          {% else %}
            <p class="project__date">běží od {{ page.date|date:"j.n.Y" }}</p>
          {% endif %}
        </div><!-- /column -->
        <div class="col-12 col-md-6 text-md-right">
          <div class="project__badges">
            {% if page.is_new %}
            <span class="badge badge-light new">Nový projekt</span>
            {% endif %}
            {# TODO <span class="badge badge-light almost">Už jen kousek</span> #}
          </div>
        </div><!-- /column -->
      </div><!-- /row -->
    </div> <!-- /container -->
  </section>

  <section class="section--primary">
    <div class="container">
      <div class="row">

        <div class="col-12 col-lg-8 col-xl-7 mb-4 mb-lg-0 order-2 order-lg-1 richtext">

          {% if page.gallery %}
          <div class="row project-images mb-3">
            {% for block in page.gallery %}
              {% image block.value width-2000 as img %}
              {% image block.value max-150x100 as thumb %}
              <div>
                <a data-fancybox="gallery" href="{{ img.url }}"><img data-src="{{ thumb.url }}" class="lazyload img-fluid" alt="{{ img.alt }}"></a>
              </div><!-- /column -->
            {% endfor %}
          </div><!-- /row -->
          {% endif %}

          {{ page.body|richtext }}

        </div><!-- /column -->

        <div class="col-12 col-lg-4 offset-xl-1 order-1 order-lg-2">
          <div class="sticky-top mb-5">
            <div class="project-donate-form mb-5">

              <div class="project-donate-form__left">
                <div class="project-donate-form__left-content">
                  <h2 class="lead mb-0">{{ page.form_title }}</h2>
                </div><!-- /project-donate-form__left-content -->
              </div><!-- /project-donate-form__left -->

              <div class="project-donate-form__right">
                {% if page.expected_amount %}
                <h5>
                  Vybráno <strong>{{ page.get_donated_amount|intcomma }}&nbsp;Kč</strong>
                  z <strong>{{ page.expected_amount|intcomma }}&nbsp;Kč</strong>
                </h5>
                <div class="progress">
                  <div class="progress-bar" role="progressbar" style="width: {{ page.donated_percentage }}%" aria-valuenow="{{ page.donated_percentage }}" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <hr>
                {% comment %}
                <h5><strong>24 lidí</strong> přispělo</h5>
                <h5><strong>40 dní</strong> do konce</h5>
                <hr>
                {% endcomment %}
                {% else %}
                <h5>Zatím vybráno <strong>{{ page.get_donated_amount|intcomma }}&nbsp;Kč</strong></h5>
                {% endif %}

                {% if page.show_donate_form %}
                <form id="js-donate-form" method="post">
                  {% csrf_token %}
                  <input type="hidden" name="portal_project_id" value="{{ page.portal_project_id }}">
                  {% if page.allow_periodic_donations %}
                  <div class="form-group row mb-2 align-items-center">
                      <legend class="col-form-label col-md-12 col-form-label-lg">Typ příspěvku</legend>
                      <div class="col-md-12">
                          <div class="custom-control custom-radio custom-control-inline">
                            <input type="radio" id="periodicity1" name="periodicity" value="730" class="custom-control-input" checked>
                            <label class="custom-control-label col-form-label-lg" for="periodicity1">Měsíční</label>
                          </div>
                          <div class="custom-control custom-radio custom-control-inline">
                            <input type="radio" id="periodicity2" name="periodicity" value="99999" class="custom-control-input">
                            <label class="custom-control-label col-form-label-lg" for="periodicity2">Jednorázový</label>
                          </div>
                      </div>
                  </div>
                  {% else %}
                  <input type="hidden" name="periodicity" value="99999">
                  {% endif %}
                  <div class="form-group row mb-4 align-items-center">
                      <legend class="col-form-label col-md-12 col-form-label-lg">
                          {% if self.crowdfunding %}
                              Částka bez odměny
                          {% else %}
                              Částka
                          {% endif %}
                      </legend>
                      <div class="col-md-12">
                          {% if page.allow_periodic_donations %}
                          <div id="monthlyAmounts" data-default-selected="{{ page.form_monthly_preselected }}">
                              {% include "donate/form_monthly_amounts_snippet.html" %}
                          </div>
                          <div id="oneTimeAmounts" style="display: None"
                               data-default-selected="{{ page.form_preselected }}">
                              {% include "donate/form_amounts_snippet.html" %}
                          </div>
                          {% else %}
                              {% include "donate/form_amounts_snippet.html" with show_selected=True %}
                          {% endif %}
                      </div>
                  </div>
                  <div class="form-group row mb-2 align-items-center" id="js-custom-amount-input">
                      <div class="col-md-12">
                        <div class="input-group input-group-lg mb-3 custom-amount">
                          <input type="number" class="form-control" id="customamount" placeholder="Jiná částka" name="custom_amount" aria-describedby="customamount-currency">
                          <div class="input-group-append">
                            <span class="input-group-text" id="customamount-currency">Kč</span>
                          </div>
                        </div>
                      </div>
                  </div>
                  <div class="form-group row mb-0 mt-4">
                    <div class="col-12">
                      <button type="submit" class="btn btn-danger btn-lg">Darovat</button>
                    </div>
                  </div>
                </form>
                {% endif %}

              </div><!-- /project-donate-form__right -->
            </div>

              {% for block in self.crowdfunding %}
                  {% include_block block %}
            {% endfor %}
          </div>
        </div><!-- /column -->

      </div> <!-- /row -->
    </div> <!-- /container -->
  </section>

  <section class="section--alternate project__related">
    <div class="container">
      <h2 class="lead page-subheading mb-4">Další projekty</h2>
      <div class="row projects mb-4">

        {% for project in other_projects %}
          {% include "donate/project_snippet.html" %}
        {% endfor %}

      </div><!-- /row -->
      <a href="{% pageurl page.get_parent %}" class="btn btn-dark btn-lg"><i class="icon-chevron-left mr-2"></i> Projekty</a>
    </div><!-- /container -->
  </section>

</main>
<!-- /CONTENT -->

{% endblock %}
